module Gpr
  module Action
    def parse_repository(repository_path)
      repo_info = {}
      parsed_path = repository_path.match(/#{::Gpr::APP_PATH}\/(?<host>[^\/]+)\/(?<repository>.+)/)
      repo_info[:host] = parsed_path[:host]
      repo_info[:repository] = parsed_path[:repository]
      repo_info
    end

    def repository_list
      repositories = Dir.glob("#{::Gpr::APP_PATH}/*/*/*").select do |directory|
        FileTest.directory?(directory)
      end
      repositories.sort
    end
  end
end
