require 'thor'

require 'gpr/action'
require 'gpr/commands/base'
require 'gpr/commands/get'
require 'gpr/commands/list'
require 'gpr/commands/version'

Bundler.require

module Gpr
  class Main < Thor
    include ::Gpr
    include Action

    def self.start(args)
      self.load_commands

      super(args)
    end

    def self.load_commands
      @@commands.map {|command| command.new(self) }
    end
  end
end
