require 'gpr/version'

module Gpr
  module Commands
    class Version < Base
      def initialize(thor)
        thor.class_eval do
          desc 'version', 'Display installed gpr version'
          map '-v' => :version
          def version
            puts "gpr #{::Gpr::VERSION}"
          end
        end
      end
    end
  end
end
